## org.eclipse.emf.common.notify.impl
Class NotificationChainImpl

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.AbstractEList<E>
                  org.eclipse.emf.common.util.BasicEList<Notification>
                      org.eclipse.emf.common.notify.impl.NotificationChainImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<Notification>, java.util.Collection<Notification>, java.util.List<Notification>, java.util.RandomAccess, NotificationChain, EList<Notification>

    public class NotificationChainImpl

extends BasicEList<Notification>
implements NotificationChain

A list that acts as a notification chain.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.FastCompare<E>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>, BasicEList.UnmodifiableEList<E>`

Field Summary

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`NotificationChainImpl()` Creates an empty instance.
`NotificationChainImpl(int initialCapacity)` Creates an empty instance with a given capacity.

Method Summary
`boolean` `add(Notification newNotification)` Adds or merges a new notification.
`void` `dispatch()` Dispatches each notification to the appropriate notifier via `Notifier.eNotify`.
`protected void` `dispatch(Notification notification)` Dispatches the notification to its notifier.
`protected java.lang.Object[]` `newData(int capacity)` Returns new data storage of type `Notification`[].

Methods inherited from class org.eclipse.emf.common.util.BasicEList
`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, assign, basicGet, basicList, clear, clone, contains, data, get, grow, indexOf, isEmpty, lastIndexOf, move, primitiveGet, remove, setData, setUnique, shrink, size, toArray, toArray`

Methods inherited from class org.eclipse.emf.common.util.AbstractEList
`add, addAll, addAll, basicIterator, basicListIterator, basicListIterator, canContainNull, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, getDuplicates, getNonDuplicates, hashCode, isUnique, iterator, listIterator, listIterator, move, remove, removeAll, resolve, retainAll, set, toString, useEquals, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, subList`

Constructor Detail

### NotificationChainImpl

    public NotificationChainImpl()

  Creates an empty instance.

### NotificationChainImpl

    public NotificationChainImpl(int initialCapacity)

  Creates an empty instance with a given capacity.

  Parameters:
    `initialCapacity` - the initial capacity of the list before it must grow.

Method Detail

### newData

    protected java.lang.Object[] newData(int capacity)

  Returns new data storage of type `Notification`[].

  Overrides:
    `newData` in class `BasicEList<Notification>`
  Returns:
    new data storage.

### add

    public boolean add(Notification newNotification)

  Adds or merges a new notification.

  Specified by:
    `add` in interface `java.util.Collection<Notification>`
  Specified by:
    `add` in interface `java.util.List<Notification>`
  Specified by:
    `add` in interface `NotificationChain`
  Overrides:
    `add` in class `AbstractEList<Notification>`
  Parameters:
    `newNotification` - a notification.
  Returns:
    `true` when the notification is added and `false` when it is merged.
  See Also:
    `AbstractEList.addUnique(Object)`

### dispatch

    public void dispatch()

  Description copied from interface: `NotificationChain`
  Dispatches each notification to the appropriate notifier via `Notifier.eNotify`.

  Specified by:
    `dispatch` in interface `NotificationChain`

### dispatch

    protected void dispatch(Notification notification)

  Dispatches the notification to its notifier.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.